import { withDirectives as _withDirectives, vShow as _vShow, createVNode as _createVNode, resolveComponent as _resolveComponent } from "vue";
import { computed, defineComponent, ref, watchEffect } from 'vue';
import { useStore } from 'vuex';
export var MyLoading = defineComponent({
  setup: function setup() {
    var store = useStore();
    var count = computed(function () {
      return store.state.loading.count;
    });
    var show = ref(false);
    watchEffect(function () {
      show.value = count.value > 0 ? true : false;
    });
    return function () {
      return _withDirectives(_createVNode("div", {
        "class": "loadingContainer"
      }, [_createVNode(_resolveComponent("a-spin"), {
        "size": "large"
      }, null)]), [[_vShow, show.value]]);
    };
  }
});