"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MyIcon = void 0;

var _vue = require("vue");

var _all = require("@icon-park/vue-next/es/all");

require("@icon-park/vue-next/styles/index.css");

var MyIcon = (0, _vue.defineComponent)({
  components: {
    IconPark: _all.IconPark
  },
  props: {
    icon: {
      type: String
    },
    theme: {
      type: String,
      "default": 'outline'
    },
    size: {
      type: Number
    },
    spin: {
      type: Boolean,
      "default": false
    },
    fill: {
      type: String
    },
    "class": {
      type: String
    }
  },
  setup: function setup(props) {
    return function () {
      return (0, _vue.createVNode)("span", {
        "class": 'anticon ' + props["class"]
      }, [(0, _vue.createVNode)((0, _vue.resolveComponent)("icon-park"), {
        "theme": props.theme,
        "size": props.size,
        "type": props.icon,
        "fill": props.fill
      }, null)]);
    };
  }
});
exports.MyIcon = MyIcon;