"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MyLoading = void 0;

var _vue = require("vue");

var _vuex = require("vuex");

var MyLoading = (0, _vue.defineComponent)({
  setup: function setup() {
    var store = (0, _vuex.useStore)();
    var count = (0, _vue.computed)(function () {
      return store.state.loading.count;
    });
    var show = (0, _vue.ref)(false);
    (0, _vue.watchEffect)(function () {
      show.value = count.value > 0 ? true : false;
    });
    return function () {
      return (0, _vue.withDirectives)((0, _vue.createVNode)("div", {
        "class": "loadingContainer"
      }, [(0, _vue.createVNode)((0, _vue.resolveComponent)("a-spin"), {
        "size": "large"
      }, null)]), [[_vue.vShow, show.value]]);
    };
  }
});
exports.MyLoading = MyLoading;